Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class DiagramListener

public class DiagramListener
implements DataCollectionListener, PropertyChangeListener

These class listen all diagram changes event and convert them to UndoableEdit. Then it propagates this undoableEdit to transaction listeners.

Constructor Summary
`DiagramListener(ViewEditorPane viewEditor)`

Method Summary
`void` | `elementAdded(DataCollectionEvent e)`
`void` | `elementChanged(DataCollectionEvent e)`
`void` | `elementRemoved(DataCollectionEvent e)`
`void` | `elementWillAdd(DataCollectionEvent e)`
`void` | `elementWillChange(DataCollectionEvent e)`
`void` | `elementWillRemove(DataCollectionEvent e)`
`void` | `propertyChange(PropertyChangeEvent pce)`

Constructor Detail

### DiagramListener

    public DiagramListener(ViewEditorPane viewEditor)

Method Detail

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                         throws java.lang.Exception

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                         throws ru.biosoft.access.DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

Association Links

to Class ru.biosoft.graphics.editor.ViewEditorPane

to Class ru.biosoft.access.DataElement

to Class ru.biosoft.access.DataCollection

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM